package cn.com.ctop.kuaishou.modules.report.service;


import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.List;

public interface ISalesBudgetService {
    Result<Object> bytedanceSalesReport(String saleId,Long statDate,Integer pageNo, Integer pageSize);

    Result<Object> kuaiShouSalesReport(String saleId,Long statDate, Integer pageNo, Integer pageSize);

    List<JSONObject> ocpxList(String mediaId);

    void deleteInfo(Long projectId);

    void adds(List<JSONObject> addList);

    JSONObject getById(Long projectId);
}
